# norootforbuild

Name: freepops
Summary: FreePOPs allows access to the most varied resources through the POP3 protocol
Version: 0.2.9
Release: 3.pm.12.9
License: GPL v2
Group: Productivity/Networking/Email/Utilities
URL: http://www.freepops.org/
Source0: http://garr.dl.sourceforge.net/sourceforge/freepops/%{name}-%{version}.tar.gz
Source9: freepopsd
Patch0: %{name}-%{version}.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: make autoconf automake gcc gcc-c++
BuildRequires: lua lua-devel libcurl-devel bison libexpat-devel flex
BuildRequires: texlive-devel texlive-latex pstoedit libopenssl-devel
BuildRequires: pkgconfig fltk-devel xorg-x11-devel xorg-x11-libXext-devel
Requires: zenity

%description
FreePOPs is an easily extensible program, which allows
access to the most varied resources through the POP3 protocol.
Mainly, it can be used to download mail from the most
famous webmails, but it could also be used as an aggregator
for RSS feeds and much more. This way it is possible to get
all your messages in your favorite email client.


%prep
%setup -q
%patch0 -p1

%build
./configure.sh linux -lua -fltk-ui
%__make
%__make manual

%install
%makeinstall PREFIX=%{_prefix}

%__chmod +x %{buildroot}/%{_bindir}/%{name}-updater-fltk
%__chmod +x %{buildroot}/%{_bindir}/%{name}-updater-zenity

%__mkdir -p %{buildroot}/etc/init.d

%__cp %SOURCE9 %{buildroot}/etc/init.d
%__chmod 744 %{buildroot}/etc/init.d/%{name}d

%find_lang updater_fltk

%clean
rm -fr %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f updater_fltk.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}/MANUAL.txt
%doc %{_datadir}/doc/%{name}/manual-it.pdf
%doc %{_datadir}/doc/%{name}/manual.pdf
%dir %{_sysconfdir}/%{name}
%dir /usr/lib/%{name}/
%dir %{_datadir}/doc/%{name}
%dir /var/lib/freepops
%config %{_sysconfdir}/%{name}/config.lua
%{_bindir}/%{name}-updater-dialog
%{_bindir}/%{name}-updater-zenity
%{_bindir}/%{name}-updater-fltk
%{_bindir}/%{name}d
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lua
%dir %{_datadir}/%{name}/lua/browser
%dir %{_datadir}/%{name}/lua/lxp
%dir %{_datadir}/%{name}/lua/soap
%{_datadir}/%{name}/lua/*.lua
%{_datadir}/%{name}/lua/browser/*.lua
%{_datadir}/%{name}/lua/lxp/*.lua
%{_datadir}/%{name}/lua/soap/*.lua
#need a more patch for lib
/usr/lib/%{name}/updater_fltk.so
%{_mandir}/man1/*.1.gz
%_initrddir/%{name}d

%defattr(-,root,users)
%dir %_localstatedir/lib/freepops/lua_unofficial
%dir %_localstatedir/lib/freepops/lua_updates
%dir %_localstatedir/lib/freepops/lua_updates/browser
%dir %_localstatedir/lib/freepops/lua_updates/lxp
%dir %_localstatedir/lib/freepops/lua_updates/soap

%changelog
* Mon Mar 09 2009 - Andrea Florio <andrea@links2linux.de> 0.2.9-1.pm.9
- new upstream version 0.2.9
* Tue Nov 18 2008 - Andrea Florio <andrea@links2linux.de> 0.2.8-1.pm.9
- new upstream version 0.2.8
* Fri Aug 29 2008 - Andrea Florio <andrea@links2linux.de> 0.2.7-1.pm.9
- added /etc/init.d script
* Wed Aug 27 2008 - Andrea Florio <andrea@links2linux.de>
- fixed files section
- fixed patch
- new package
